package linkedqueue;

public class LinkedNode
{
    public Object value;
    public LinkedNode next;

    /*@ behavior
      @    ensures true;
      @*/
    public LinkedNode()
    {
    }

    /*@ behavior
      @   assignable value;
      @   ensures value == x;
      @*/
    public LinkedNode(Object x)
    {
        value = x;
    }

    /*@ behavior
      @    assignable value, next;
      @    ensures value == x && next == n;
      @*/
    public LinkedNode(Object x, LinkedNode n)
    {
        value = x;
        next = n;
    }
}
